--beattime ref'd from chairodactyl's Rainbow Road lua
local musicrate = GAMESTATE:GetSongOptionsObject("ModsLevel_Song"):MusicRate()
local beattime = (60/130)/musicrate

return Def.ActorFrame{

	InitCommand=function(self)
		--SCREENMAN:SystemMessage(musicrate)
		self:sleep(9999)
	end,

	Def.Sprite{
		Name="takethat",
		Texture="takethat 3x4.png",

		OnCommand=function(self)
			self:Center()
				:FullScreen()
				:sleep(beattime*1.5)
				:diffusealpha(0)
		end --OnCommand
	} --Sprite takethat

} --returned AF